
Figure - Bug #112825
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】在WiFi列表页面不断进入WiFi连接页面后退出，多次重复后出现wifi连接页面空白（
只有一个标题）
2022-10-24 17:07 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-24

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置-网络与互联网-打开WLAN

2、进入wifi列表

3、随机进入一个WIFI连接页面

4、点击左上角的返回按钮

5、重复3、4

【预期结果】

5、无论重复多少次，wifi连接页面均正常显示

【实际结果】

5、多次重复后，会出现页面空白现象，点击左上角的返回按钮，页面恢复正常（此处的正常是指正常的WiFi连接页面）

【复现率】

5%

History

#1 - 2022-10-25 18:25 - CD AF-陈羽杰

■ Current conclusion

不复现

■ My analysis

根据测试步骤，本地复测50次不复现bug，且日志缺少相关记录，解决难度较大

■ Next action

本地加入更多log，待复现后重新记录log

#2 - 2022-10-25 18:29 - CD AF-陈羽杰

- Status changed from New to ASSIGNED
#3 - 2022-10-27 15:27 - CDTS-TEST 周婷

- Due date set to 2022-11-04

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#4 - 2022-11-03 09:56 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

当前的进展

■ My analysis

由于测试时不停的切换fragment，导致fragmentManager队列中的commit或popBack任务可能未及时执行，出现空白页面

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706

#5 - 2022-11-08 10:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

11.4 11.7 11.8 三个版本未复现，关闭

#6 - 2022-11-08 10:35 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

112212.png 83.8 KB 2022-10-24 CD TEST-方永红

1659.txt 6.5 MB 2022-10-24 CD TEST-方永红
